<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_debug.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>tivx_debug.h</h1><a href="tivx__debug_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">*</span>
<a name="l00003"></a>00003 <span class="comment">* Copyright (c) 2017 Texas Instruments Incorporated</span>
<a name="l00004"></a>00004 <span class="comment">*</span>
<a name="l00005"></a>00005 <span class="comment">* All rights reserved not granted herein.</span>
<a name="l00006"></a>00006 <span class="comment">*</span>
<a name="l00007"></a>00007 <span class="comment">* Limited License.</span>
<a name="l00008"></a>00008 <span class="comment">*</span>
<a name="l00009"></a>00009 <span class="comment">* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive</span>
<a name="l00010"></a>00010 <span class="comment">* license under copyrights and patents it now or hereafter owns or controls to make,</span>
<a name="l00011"></a>00011 <span class="comment">* have made, use, import, offer to sell and sell (&quot;Utilize&quot;) this software subject to the</span>
<a name="l00012"></a>00012 <span class="comment">* terms herein.  With respect to the foregoing patent license, such license is granted</span>
<a name="l00013"></a>00013 <span class="comment">* solely to the extent that any such patent is necessary to Utilize the software alone.</span>
<a name="l00014"></a>00014 <span class="comment">* The patent license shall not apply to any combinations which include this software,</span>
<a name="l00015"></a>00015 <span class="comment">* other than combinations with devices manufactured by or for TI (&quot;TI Devices&quot;).</span>
<a name="l00016"></a>00016 <span class="comment">* No hardware patent is licensed hereunder.</span>
<a name="l00017"></a>00017 <span class="comment">*</span>
<a name="l00018"></a>00018 <span class="comment">* Redistributions must preserve existing copyright notices and reproduce this license</span>
<a name="l00019"></a>00019 <span class="comment">* (including the above copyright notice and the disclaimer and (if applicable) source</span>
<a name="l00020"></a>00020 <span class="comment">* code license limitations below) in the documentation and/or other materials provided</span>
<a name="l00021"></a>00021 <span class="comment">* with the distribution</span>
<a name="l00022"></a>00022 <span class="comment">*</span>
<a name="l00023"></a>00023 <span class="comment">* Redistribution and use in binary form, without modification, are permitted provided</span>
<a name="l00024"></a>00024 <span class="comment">* that the following conditions are met:</span>
<a name="l00025"></a>00025 <span class="comment">*</span>
<a name="l00026"></a>00026 <span class="comment">* *       No reverse engineering, decompilation, or disassembly of this software is</span>
<a name="l00027"></a>00027 <span class="comment">* permitted with respect to any software provided in binary form.</span>
<a name="l00028"></a>00028 <span class="comment">*</span>
<a name="l00029"></a>00029 <span class="comment">* *       any redistribution and use are licensed by TI for use only with TI Devices.</span>
<a name="l00030"></a>00030 <span class="comment">*</span>
<a name="l00031"></a>00031 <span class="comment">* *       Nothing shall obligate TI to provide you with source code for the software</span>
<a name="l00032"></a>00032 <span class="comment">* licensed and provided to you in object code.</span>
<a name="l00033"></a>00033 <span class="comment">*</span>
<a name="l00034"></a>00034 <span class="comment">* If software source code is provided to you, modification and redistribution of the</span>
<a name="l00035"></a>00035 <span class="comment">* source code are permitted provided that the following conditions are met:</span>
<a name="l00036"></a>00036 <span class="comment">*</span>
<a name="l00037"></a>00037 <span class="comment">* *       any redistribution and use of the source code, including any resulting derivative</span>
<a name="l00038"></a>00038 <span class="comment">* works, are licensed by TI for use only with TI Devices.</span>
<a name="l00039"></a>00039 <span class="comment">*</span>
<a name="l00040"></a>00040 <span class="comment">* *       any redistribution and use of any object code compiled from the source code</span>
<a name="l00041"></a>00041 <span class="comment">* and any resulting derivative works, are licensed by TI for use only with TI Devices.</span>
<a name="l00042"></a>00042 <span class="comment">*</span>
<a name="l00043"></a>00043 <span class="comment">* Neither the name of Texas Instruments Incorporated nor the names of its suppliers</span>
<a name="l00044"></a>00044 <span class="comment">*</span>
<a name="l00045"></a>00045 <span class="comment">* may be used to endorse or promote products derived from this software without</span>
<a name="l00046"></a>00046 <span class="comment">* specific prior written permission.</span>
<a name="l00047"></a>00047 <span class="comment">*</span>
<a name="l00048"></a>00048 <span class="comment">* DISCLAIMER.</span>
<a name="l00049"></a>00049 <span class="comment">*</span>
<a name="l00050"></a>00050 <span class="comment">* THIS SOFTWARE IS PROVIDED BY TI AND TI&apos;S LICENSORS &quot;AS IS&quot; AND ANY EXPRESS</span>
<a name="l00051"></a>00051 <span class="comment">* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES</span>
<a name="l00052"></a>00052 <span class="comment">* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.</span>
<a name="l00053"></a>00053 <span class="comment">* IN NO EVENT SHALL TI AND TI&apos;S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,</span>
<a name="l00054"></a>00054 <span class="comment">* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,</span>
<a name="l00055"></a>00055 <span class="comment">* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span>
<a name="l00056"></a>00056 <span class="comment">* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY</span>
<a name="l00057"></a>00057 <span class="comment">* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE</span>
<a name="l00058"></a>00058 <span class="comment">* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED</span>
<a name="l00059"></a>00059 <span class="comment">* OF THE POSSIBILITY OF SUCH DAMAGE.</span>
<a name="l00060"></a>00060 <span class="comment">*</span>
<a name="l00061"></a>00061 <span class="comment">*/</span>
<a name="l00062"></a>00062 
<a name="l00063"></a>00063 
<a name="l00064"></a>00064 
<a name="l00065"></a>00065 <span class="preprocessor">#ifndef TIVX_DEBUG_H</span>
<a name="l00066"></a>00066 <span class="preprocessor"></span><span class="preprocessor">#define TIVX_DEBUG_H</span>
<a name="l00067"></a>00067 <span class="preprocessor"></span>
<a name="l00076"></a><a class="code" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">00076</a> <span class="keyword">enum</span> <a class="code" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6" title="These are the bit flags for debugging.">tivx_debug_zone_e</a> {
<a name="l00077"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa19e0c8703dcf780cb8ab61c0efacc0a">00077</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa19e0c8703dcf780cb8ab61c0efacc0a">VX_ZONE_ERROR</a>       = 0,    
<a name="l00078"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ace77c1c6899d7c6c59d400e4e4994e8a">00078</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ace77c1c6899d7c6c59d400e4e4994e8a">VX_ZONE_WARNING</a>     = 1,    
<a name="l00079"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa37812d0dd2a5a69c52fe860d2f7e111">00079</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa37812d0dd2a5a69c52fe860d2f7e111">VX_ZONE_API</a>         = 2,    
<a name="l00080"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a6b3ec6ddfa7a8fd71e010d4347667a5b">00080</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a6b3ec6ddfa7a8fd71e010d4347667a5b">VX_ZONE_INFO</a>        = 3,    
<a name="l00082"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a57e7db962a6cf774c1396511e97f538b">00082</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a57e7db962a6cf774c1396511e97f538b">VX_ZONE_PERF</a>        = 4,    
<a name="l00083"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6afd03bede6f2f825c9aedc5a8c03516eb">00083</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6afd03bede6f2f825c9aedc5a8c03516eb">VX_ZONE_CONTEXT</a>     = 5,
<a name="l00084"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a0bfdefe07821d074d25ccab85afc4cf2">00084</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a0bfdefe07821d074d25ccab85afc4cf2">VX_ZONE_OSAL</a>        = 6,
<a name="l00085"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a1daf11c73347cad85751096ce4dc1fd6">00085</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a1daf11c73347cad85751096ce4dc1fd6">VX_ZONE_REFERENCE</a>   = 7,
<a name="l00086"></a>00086 
<a name="l00087"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a711598b3ae9e933d0dc7c3f9849259f3">00087</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a711598b3ae9e933d0dc7c3f9849259f3">VX_ZONE_ARRAY</a>       = 8,
<a name="l00088"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a644a57c10d705024e8f9d3561151b122">00088</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a644a57c10d705024e8f9d3561151b122">VX_ZONE_IMAGE</a>       = 9,
<a name="l00089"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6af2dca20f9cf9ef98e3c95978be2c4105">00089</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6af2dca20f9cf9ef98e3c95978be2c4105">VX_ZONE_SCALAR</a>      = 10,
<a name="l00090"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ab194f925dfcc3578a1d91bb0c4348161">00090</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ab194f925dfcc3578a1d91bb0c4348161">VX_ZONE_KERNEL</a>      = 11,
<a name="l00091"></a>00091 
<a name="l00092"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa7f4d50c2660ab4a48b814c1ef2c74ad">00092</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa7f4d50c2660ab4a48b814c1ef2c74ad">VX_ZONE_GRAPH</a>       = 12,
<a name="l00093"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6abc5579797158498c7d2f2ab50117b1ca">00093</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6abc5579797158498c7d2f2ab50117b1ca">VX_ZONE_NODE</a>        = 13,
<a name="l00094"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ad8534e53bc822b147668fe60460079b1">00094</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ad8534e53bc822b147668fe60460079b1">VX_ZONE_PARAMETER</a>   = 14,
<a name="l00095"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a6a43f2f5b061680be12cd130afb7f51e">00095</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a6a43f2f5b061680be12cd130afb7f51e">VX_ZONE_DELAY</a>       = 15,
<a name="l00096"></a>00096 
<a name="l00097"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a40b9cd204da933d489b200b4139dad75">00097</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a40b9cd204da933d489b200b4139dad75">VX_ZONE_TARGET</a>      = 16,
<a name="l00098"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a40ed6ed797e8e72f5dd6164f55914f28">00098</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a40ed6ed797e8e72f5dd6164f55914f28">VX_ZONE_LOG</a>         = 17,
<a name="l00099"></a>00099 
<a name="l00100"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6afe119f8d2f8885ed623e54eaf9c428e9">00100</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6afe119f8d2f8885ed623e54eaf9c428e9">VX_ZONE_INIT</a>        = 18,
<a name="l00101"></a>00101 
<a name="l00102"></a><a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a0f7851b66b71b06268e24f3dedb2a23f">00102</a>     <a class="code" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a0f7851b66b71b06268e24f3dedb2a23f">VX_ZONE_MAX</a>         = 32
<a name="l00103"></a>00103 };
<a name="l00104"></a>00104 
<a name="l00105"></a>00105 <span class="preprocessor">#define VX_PRINT(zone, message, ...) do { tivx_print((zone), &quot;[%s:%u] &quot;message, __FUNCTION__, __LINE__, ## __VA_ARGS__); } while (0)</span>
<a name="l00106"></a>00106 <span class="preprocessor"></span>
<a name="l00113"></a>00113 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00114"></a>00114 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00115"></a>00115 <span class="preprocessor">#endif</span>
<a name="l00116"></a>00116 <span class="preprocessor"></span>
<a name="l00123"></a>00123 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__debug.html#ga0e8f0fde3cb77b439a7959c81be96eae" title="Internal Printing Function.">tivx_print</a>(<a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> zone, <span class="keywordtype">char</span> *format, ...);
<a name="l00124"></a>00124 
<a name="l00129"></a>00129 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__debug.html#ga5797ddae3c7bdb48c9ebb0e466f841f4" title="Sets a zone bit in the debug mask.">tivx_set_debug_zone</a>(<a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> zone);
<a name="l00130"></a>00130 
<a name="l00135"></a>00135 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__debug.html#gabe8239f2d4f812db4c3d345fd9d898da" title="Clears the zone bit in the mask.">tivx_clr_debug_zone</a>(<a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> zone);
<a name="l00136"></a>00136 
<a name="l00141"></a>00141 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__debug.html#gabb928f9e14e697cdc570f987406f355d" title="Returns true or false if the zone bit is set or cleared.">tivx_get_debug_zone</a>(<a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> zone);
<a name="l00142"></a>00142 
<a name="l00143"></a>00143 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00144"></a>00144 <span class="preprocessor"></span>}
<a name="l00145"></a>00145 <span class="preprocessor">#endif</span>
<a name="l00146"></a>00146 <span class="preprocessor"></span>
<a name="l00147"></a>00147 <span class="preprocessor">#endif</span>
<a name="l00148"></a>00148 <span class="preprocessor"></span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
